summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Klug <john.klug@multitech.com>2021-09-03 12:20:07 -0500
committerJohn Klug <john.klug@multitech.com>2021-09-10 04:23:34 -0500
commit3253c53926cd11a9fc96f5ef3c98b58f0aaef959 (patch)
tree3f6ed3194c08216d4394136b03d2628a84c56208
parent772f50fd23e575e69b8d0d912fb6dfcc903b3470 (diff)
downloadmts-io-3253c53926cd11a9fc96f5ef3c98b58f0aaef959.tar.gz
mts-io-3253c53926cd11a9fc96f5ef3c98b58f0aaef959.tar.bz2
mts-io-3253c53926cd11a9fc96f5ef3c98b58f0aaef959.zip
Simplify reset test, and test removal of the process from the table
-rwxr-xr-xtest/resettest.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/test/resettest.sh b/test/resettest.sh
index b0cb9e1..7278ab0 100755
--- a/test/resettest.sh
+++ b/test/resettest.sh
@@ -20,7 +20,7 @@ TERM=15
function sleep_reset
{
# Wait for parent to enter wait.
- trap "kill $!;kill $BASHPID" $TERM
+ trap "exit 0" $TERM
while [[ $(ps -h -o wchan -p $PPID) != do_wait ]] ; do usleep 100 ; done
echo Register parent for SIGUSR1
echo "$$" "$USR1" >/sys/devices/platform/mts-io/radio-reset-monitor
@@ -42,5 +42,7 @@ if ((in_reset == 0)) ; then
# pgrep is needed to find the sleep process
pgrep -P $! | xargs kill
fi
+echo "$$" "0" >/sys/devices/platform/mts-io/radio-reset-monitor
echo Radio Reset is done.
date
+sleep 30